Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Installing the ubuntu 11.10 packages works.I can't compile awn on ubuntu 12.10. And i can't install it with the software-center but the program is listed on it. It isn't like awn depends to 100 % on vala, so all non vala written parts of awn schould be runnable on ubuntu 12.10 too.

share|improve this question
    
This is not an anwser to your question but DockbarX standalone dock has gotten support for applets and the intention is to make an option for people who used to use DockbarX + AWN. It doesn't have nearly as many applets as AWN but it has the basics (cardapio menu, appindicators, clock, volume control). AWN applets written in python can relatively easy be ported to DockbarX (as volume control is). DockbarX 0.90.1 was released yesterday and will be in dockbarx ppa some times next week. –  M7S Oct 21 '12 at 5:22

3 Answers 3

up vote 4 down vote accepted

AWN is now available in the main WebUpd8 PPA for Ubuntu 12.10 so you can install it using the commands below:

sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get install avant-window-navigator

from WebUpd8

share|improve this answer
2  
+1 Thanks for sharing . But since it is your blog , you should mention it in the answer :) –  Tachyons Nov 16 '12 at 20:22

It has been dropped from Quantal:

source

Some applications including Avant Window Navigator behave erratically.

AWN has been dropped from Ubuntu as it is unmaintained and no longer builds from source with current versions of vala.

You can install the 12.04 version from here
In case you need dependencies find it from here

However - given the warning from Jeremy Bicha and the original OP - the advise is to switch to another dock such as Docky

share|improve this answer

You can install AWN on 12.10 without crawling around the net collecting dependencies by temporarily using the repositories from 12.04:

1) create the file /etc/apt/sources.list.d/precise.list with the following contents:

deb http://us.archive.ubuntu.com/ubuntu/ precise main restricted
deb-src http://us.archive.ubuntu.com/ubuntu/ precise main restricted
deb http://us.archive.ubuntu.com/ubuntu/ precise universe
deb-src http://us.archive.ubuntu.com/ubuntu/ precise universe
deb http://us.archive.ubuntu.com/ubuntu/ precise multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ precise multiverse
deb http://extras.ubuntu.com/ubuntu precise main
deb-src http://extras.ubuntu.com/ubuntu precise main

3) sudo apt-get update

4) sudo apt-get install avant-window-navigator awn-applets-all

5) remove the file /etc/apt/sources.list.d/precise.list

6) sudo apt-get update

(EDIT: simplified instructions)

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.